#define	SRES	0x30		// reset chip strobe
#define	SRX	0x34		// enter RX state
#define	STX	0x35		// enter TX state
#define	SIDLE	0x36		// enter IDLE state
#define	SPWD	0x39		// enter power down mode
#define SFRX	0x3A		// fluch RX FIFO
#define	SFTX 	0x3B		// flush TX FIFO
#define	SNOP	0x3D		// no operation

const char NUM_RXBYTES[] = {0xFB};
const char RX_FIFO_BURST[]= {0xFF};
const char START_RX[] = {SRX};

// freq=903MHz, data_rate=1.19948kbd, deviation=5.157471kHz, GFSK, RX_BW=58.035kHz
const char cc1101_regs[] = {
	0x40,	//	burst write to starting address 0
	0x29,	//	IOCFG2        |0x00|GDO2 Output Pin Configuration
	0x2E,	//	IOCFG1        |0x01|GDO1 Output Pin Configuration
	0x06,	//	IOCFG0        |0x02|GDO0 Output Pin Configuration
	0x47,	//	FIFOTHR       |0x03|RX FIFO and TX FIFO Thresholds
	0xD3,	//	SYNC1         |0x04|Sync Word, High Byte
	0x91,	//	SYNC0         |0x05|Sync Word, Low Byte
	0x3D,	//	PKTLEN        |0x06|Packet Length (61)
	0x05,	//	PKTCTRL1      |0x07|Packet Automation Control
	0x05,	//	PKTCTRL0      |0x08|Packet Automation Control
	0x11,	//	ADDR          |0x09|Device Address
	0x00,	//	CHANNR        |0x0A|Channel number
	0x06,	//	FSCTRL1       |0x0B|Frequency Synthesizer Control
	0x00,	//	FSCTRL0       |0x0C|Frequency Synthesizer Control
	0x22,	//	FREQ2         |0x0D|Frequency Control Word, High Byte
	0xBB,	//	FREQ1         |0x0E|Frequency Control Word, Middle Byte
	0x13,	//	FREQ0         |0x0F|Frequency Control Word, Low Byte
	0xF5,	//	MDMCFG4       |0x10|Modem Configuration
	0x83,	//	MDMCFG3       |0x11|Modem Configuration
	0x13,	//	MDMCFG2       |0x12|Modem Configuration
	0x22,	//	MDMCFG1       |0x13|Modem Configuration
	0xF8,	//	MDMCFG0       |0x14|Modem Configuration
	0x15,	//	DEVIATN       |0x15|Modem Deviation Setting
	0x07,	//	MCSM2         |0x16|Main Radio Control State Machine Configuration
	0x30,	//	MCSM1         |0x17|Main Radio Control State Machine Configuration
	0x18,	//	MCSM0         |0x18|Main Radio Control State Machine Configuration
	0x14,	//	FOCCFG        |0x19|Frequency Offset Compensation Configuration
	0x6C,	//	BSCFG         |0x1A|Bit Synchronization Configuration
	0x03,	//	AGCCTRL2      |0x1B|AGC Control
	0x40,	//	AGCCTRL1      |0x1C|AGC Control
	0x92,	//	AGCCTRL0      |0x1D|AGC Control
	0x87,	//	WOREVT1       |0x1E|High Byte Event0 Timeout
	0x6B,	//	WOREVT0       |0x1F|Low Byte Event0 Timeout
	0xFB,	//	WORCTRL       |0x20|Wake on Radio Control
	0x56,	//	FREND1        |0x21|Front End RX Configuration
	0x10,	//	FREND0        |0x22|Front End TX Configuration
	0xE9,	//	FSCAL3        |0x23|Frequency Synthesizer Calibration
	0x2A,	//	FSCAL2        |0x24|Frequency Synthesizer Calibration
	0x00,	//	FSCAL1        |0x25|Frequency Synthesizer Calibration
	0x1F,	//	FSCAL0        |0x26|Frequency Synthesizer Calibration
	0x41,	//	RCCTRL1       |0x27|RC Oscillator Configuration
	0x00,	//	RCCTRL0       |0x28|RC Oscillator Configuration
	0x59,	//	FSTEST        |0x29|Frequency Synthesizer Calibration Control
	0x7F,	//	PTEST         |0x2A|Production Test
	0x3F,	//	AGCTEST       |0x2B|AGC Test
	0x81,	//	TEST2         |0x2C|Various Test Settings
	0x35,	//	TEST1         |0x2D|Various Test Settings
	0x09	//	TEST0         |0x2E|Various Test Settings
};
